#include <iostream>

using namespace std;

int main()
{
    int n,zbir=0,k;
    cin>>n;
    unsigned int long long niz[n][3];
    for(int i=0;i<3;i++){
        for(int j=0;j<n;j++){
            cin>>niz[i][j];
        }
    }
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
                k=niz[2][j]-1;
            if(niz[0][i]==niz[1][k]){
                    zbir++;
            }
        }
    }

    cout<<zbir;
    return 0;
}